{
  description = "System flake for Linode NixOS server";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-23.05";
  };

  outputs = inputs@{ nixpkgs, ... }:
    {
      nixosConfigurations.linode-nixos =
        nixpkgs.lib.nixosSystem {
          specialArgs = { inherit inputs; };
          modules = [
            ./server-config/configuration.nix

            ./nixos-apps
          ];
        };
    };
}
